--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: A module which adds some generators for hash based accessors.
constants: []

full_name: HashAttrs
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: hash_accessor
- !ruby/object:RI::MethodSummary 
  name: hash_reader
- !ruby/object:RI::MethodSummary 
  name: hash_writer
name: HashAttrs
superclass: 
